﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v13.2, Version=13.2.20132.1003, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript">
        function WebHierarchicalDataGrid1_ContainerGrid_RowExpanded(sender, eventArgs) {
            var rowID = eventArgs.get_row().get_rowIslands()[0].get_parentRow().get_cellByColumnKey("ID").get_value();
            eventArgs.get_row().get_rowIslands()[0].get_behaviors().get_editingCore().get_behaviors().get_rowAdding().get_row().get_cellByColumnKey("ID").set_value(rowID);
        }
        function WebDataGrid1_Editing_RowAdded(sender, eventArgs) {
            var newlyAddedRow, itemFieldValue, dataFieldValue, intFieldValue;
            newlyAddedRow = sender.get_rows().get_row(sender.get_rows().get_length() - 1);

            oldItemFieldValue = newlyAddedRow.get_cellByColumnKey("Item").get_value();
            oldDataFieldValue = newlyAddedRow.get_cellByColumnKey("Data").get_value();
            oldIntFieldValue = newlyAddedRow.get_cellByColumnKey("Int").get_value();

            newlyAddedRow.get_cellByColumnKey("Item").set_value("MyCustomValueItem");
            newlyAddedRow.get_cellByColumnKey("Data").set_value("MyCustomValueData");
            newlyAddedRow.get_cellByColumnKey("Int").set_value(0);

            newItemFieldValue = newlyAddedRow.get_cellByColumnKey("Item").get_value();
            newDataFieldValue = newlyAddedRow.get_cellByColumnKey("Data").get_value();
            newIntFieldValue = newlyAddedRow.get_cellByColumnKey("Int").get_value();

            alert("Old values [Item] = " + oldItemFieldValue + ", [Data] = " + oldDataFieldValue + ", [Int] = " + oldIntFieldValue);
            alert("New values [Item] = " + newItemFieldValue + ", [Data] = " + newDataFieldValue + ", [Int] = " + newIntFieldValue);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Width="100%" DataKeyFields="id">
                <Behaviors>
                    <ig:Activation>
                    </ig:Activation>
                    <ig:EditingCore>
                        <EditingClientEvents RowAdded="WebDataGrid1_Editing_RowAdded" />
                        <Behaviors>
                            <ig:RowAdding>
                                <EditModeActions MouseClick="Single" />
                            </ig:RowAdding>
                            <ig:CellEditing>
                                <EditModeActions MouseClick="Single" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
